package com.vpn.fastestvpnservice.beans

import com.google.gson.annotations.SerializedName

data class DataResponse<T>(
    @SerializedName("status") var status: Boolean,
    @SerializedName("message") var message: String? = null,
    @SerializedName("data") var data: T? = null
)

data class DataResponseServers<T>(
    @SerializedName("status") var status: Boolean,
    @SerializedName("message") var message: String? = null,
    @SerializedName("product") val product: Product? = null,
    @SerializedName("wg") val wireguard: WireGuard? = null,
    @SerializedName("enabled_protocols") var enabled_protocols: ArrayList<String>,
    @SerializedName("available_protocols") var available_protocols: ArrayList<String>,
    @SerializedName("data") var data: T? = null
)

data class DataResponseToken(
    @SerializedName("status") var status: Boolean,
    @SerializedName("message") var message: String? = null,
    @SerializedName("data") var data: TokenResponse? = null
)
