package com.vpn.fastestvpnservice.beans

import com.google.gson.annotations.SerializedName

class Server(

    @SerializedName("id") var id: Int? = null,
    @SerializedName("continent") val continent: String? = null,
    @SerializedName("country") val country: String? = null,
    @SerializedName("state") val state: String? = null,
    @SerializedName("city") val city: Any? = null,
    @SerializedName("name") val name: String? = null,
    @SerializedName("dns") val dns: String? = null,
    @SerializedName("iso") val iso: String? = null,
    @SerializedName("lt") val lt: Double? = null,
    @SerializedName("lg") var lg: Double? = null,
    @SerializedName("ip") val ip: Any? = null,
    @SerializedName("port") val port: String? = null,
    @SerializedName("protocol") val protocol: String? = null,
    @SerializedName("ipsec") val ipsec: Any? = null,
    @SerializedName("remote_id") val remoteId: Any? = null,
    @SerializedName("is_trial") val isTrial: Boolean? = null,
    @SerializedName("active") val active: Boolean? = null,
    @SerializedName("flag") val flag: String? = null,
    @SerializedName("server_name") val server_name: String? = null,
    @SerializedName("is_favourited") var isFavourited: Boolean? = null,
    @SerializedName("country_sort") val country_sort: Int = 0,
    @SerializedName("connection_count") val connection_count: Int = 0,
    @SerializedName("wg_key") val wg_key: String? = null,
    @SerializedName("enable") var enable: Int = 1,
    var countryServers: List<Server>? = null,
    var totalServers: Int = 1,
    var enableServers: Int = 1,
    var distance: Float = 0.0f,
    var ping: Int = 0
)