package com.vpn.fastestvpnservice.beans

import com.google.gson.annotations.SerializedName
import java.util.*

data class UserResponse(

    @SerializedName("error") var error: Int? = null,

    @SerializedName("id") val id: Int? = null,

    @SerializedName("token") val token: String? = null,

    @SerializedName("userinfo") val userinfo: User? = null,

    @SerializedName("servers") val servers: ArrayList<ServerData>? = null,

    @SerializedName("product") val product: Product? = null,

    @SerializedName("subscription") val subscription: Boolean = false,

    @SerializedName("wg") val wireguard: WireGuard? = null,

    @SerializedName("enabled_protocols") var enabled_protocols: ArrayList<String>,

    @SerializedName("available_protocols") var available_protocols: ArrayList<String>
)